Bug 466244 - vpnc can not connect to cert-protected vpn
vpnc can not connect to cert-protected vpn
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: vpnc (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-09 08:32 EDT by Randall Wood
Modified: 2010-03-24 10:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-20 03:44:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randall Wood 2008-10-09 08:32:41 EDT
Description of problem:
vpnc can not connect to a certificate-protected vpn. It bombs out with a notice that it needs to be recompiled with openssl support.

Version-Release number of selected component (if applicable):
vpnc-0.5.1-6.fc9.x86_64

How reproducible:
Install vpnc and attempt to connect to a vpn using a certificate

Steps to Reproduce:
1. Edit the .conf file for VPN to include the CA_dir setting pointing to a directory with a valid certificate
2. vpnc whatever-the-conf-file-name-is.conf
3. vpnc complains of lack of openssl support
  
Actual results:
$ vpnc /etc/vpnc/trustedcs.conf 
/usr/sbin/vpnc was built without openssl: Can't do hybrid or cert mode.

Expected results:
Connection to the vpn established

Additional info:
Comment 1 Tomas Mraz 2008-11-20 03:44:28 EST
Unfortunately we can not do that as the licenses of vpnc and OpenSSL are incompatible.
Comment 2 Randall Wood 2008-12-01 06:03:47 EST
I'm sorry, but I don't understand the specific issue with these particular licenses. Can you help guide me in the right direction to understand this issue in this case?
Comment 4 Randall Wood 2008-12-01 08:06:04 EST
Thanks.
Comment 5 daniel.scharon 2010-03-24 10:22:54 EDT
actually, this bug is solved in the latest SVN snapshot of vpnc (0.5.3r449),
where GnuTLS support is already built in. Gentoo and Debian (unstable) are
already shipping this version.

Note You need to log in before you can comment on or make changes to this bug.